package com.telpo.dipperposition.config;

import com.alibaba.nacos.api.config.annotation.NacosValue;
import com.alibaba.nacos.spring.context.annotation.config.NacosPropertySource;
import lombok.Getter;
import lombok.Setter;
import org.springframework.context.annotation.Configuration;

/**
 * @program: gateway
 * @description: jwt设置
 * @author: linwl
 * @create: 2020-06-18 17:45
 */
@Getter
@Setter
@Configuration
@NacosPropertySource(dataId="dipperposition-service", autoRefreshed=true)
public class PositionConfig {

  @NacosValue("${pos.centerProvinceFilePath}")
  String centerProvinceFilePath;

  @NacosValue("${pos.ipPositionRequestPath}")
  String ipPositionRequestPath;
  @NacosValue("${pos.ipPositionRequestKey}")
  String ipPositionRequestKey;
  @NacosValue("${pos.centerProvince}")
  String centerProvince;


  @NacosValue("${pos.astServer}")
  String astServer;
  @NacosValue("${pos.astPosAstPort}")
  int posAstPort;
  @NacosValue("${pos.astTimeout}")
  int astTimeout;
}
