package com.telpo.dipperposition.config.db;

import com.mongodb.client.MongoDatabase;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.mongodb.MongoDbFactory;
import org.springframework.data.mongodb.core.MongoTemplate;

/**
 * @program: DataPushServer
 * @description: 多mongo数据源配置
 * @author: linwl
 * @create: 2020-07-11 14:21
 */
@Slf4j
public class MultiMongoTemplate extends MongoTemplate {

  public MultiMongoTemplate(MongoDbFactory mongoDbFactory) {
    super(mongoDbFactory);
  }

  @Override
  protected MongoDatabase doGetDatabase() {
    MongoDbFactory mongoDbFactory = MongoDbContext.getMongoDbFactory();
    return mongoDbFactory == null ? super.doGetDatabase() : mongoDbFactory.getDb();
  }
}
